#include "clientapi.h"
#include "strops.h"

#include "globals.h"
#include "clientgremlin.h"

#include "clientgremlinuser.h"

ClientGremlinUser::ClientGremlinUser( ClientApi* client )
:ClientGremlin( client, "user" )
{

}

void ClientGremlinUser::OutputInfo( char level, const_char* data )
{
	for ( char* p = data ; *p ; p++ )
	{
		input.Append( p, 1 );
		if ( input.Contains( StrRef( "\nJobView:" ) ) ) break;
	}
	if ( !input.Contains( StrRef( "\nJobView:" ) ) ) 
		input.Append( "\nJobView:" );

	for ( int a = 0 ; a < rand() % 9 ; a++ )
	{
		input.Append( " " );
		input.Append
			( descwords.GetVar( StrNum( rand() % descwords.GetCount() ) ) );
	}
	if ( rand() % 5 ) input.Append( " status=open" );
	input.Append( "\n" );
}
